package com.steerinfo.dil.mapper;

import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Mapper
public interface BackgroundProcessingMapper {
    //通过采购订单号关闭一车多趟
    int closePurOrderMoreTrips(String purchaseOrderNo);

    Integer getOrderType(Map<String, Object> map);

    int updatePurOrderOrgId(Map<String, Object> map);

    Map<String, Object> getOrderMesByOrderNum(String orderNumber);

    ArrayList<Integer> getAllPurOrder(String purchaseOrderNo);

    int deleteOrders(ArrayList<Integer> list);

    int deleteOrderMaterials(ArrayList<Integer> list);

    int batchByOrderIdForTotalDelete(ArrayList<Integer> list);

    List<Integer> enFactoryCheck(BigDecimal resultTotalId);
    List<Integer> loadCheck(BigDecimal resultTotalId);
    List<Integer> unloadCheck(BigDecimal resultTotalId);
    List<Integer> weightCheck(BigDecimal resultTotalId);
    List<Integer> outFactoryCheck(BigDecimal resultTotalId);

    List<Map<String, Object>> getEnFactoryResult(@Param("resultTotalId") BigDecimal resultTotalId,@Param("sqe") Integer sqe);

    List<Map<String, Object>> loadResult(@Param("resultTotalId") BigDecimal resultTotalId,@Param("sqe") Integer sqe);

    List<Map<String, Object>> unloadResult(@Param("resultTotalId") BigDecimal resultTotalId,@Param("sqe") Integer sqe);

    List<Map<String, Object>> weightResult(@Param("resultTotalId") BigDecimal resultTotalId,@Param("sqe") Integer sqe);

    List<Map<String, Object>> outFactoryResult(@Param("resultTotalId") BigDecimal resultTotalId,@Param("sqe") Integer sqe);

    int deleteEnFactoryUnnecessaryResult(@Param("list") List<Integer> list);

    int deleteLoadUnnecessaryResult(@Param("list") List<Integer> list);

    int deleteUnloadUnnecessaryResult(@Param("list") List<Integer> list);

    int deleteWeightUnnecessaryResult(@Param("list") List<Integer> list);

    int deleteOutFactoryUnnecessaryResult(@Param("list") List<Integer> list);

    int allowEnfactory(String orderNumber);

}
